public class Circle
{
	// Contains the value of pi to four decimal places. 
	public static double PI = 3.1416;

	// Calculates the circumference of a circle with the given radius. 
	public static double circum(double radius)
	{
		//double c; // contains the circumference
		//c = 2 * Circle.PI * radius; // 2 * pi * r
		//return c;
		return 2*Circle.PI*radius;
	}

	// Calculates (base^exp), where exp is a nonnegative integer. 
	public static double intPow(double base, int exp)
	{
		double result = 1;
		for (int i = 0; i < exp; i++)
		{
			result = result * base;
		}
		return result;
	}

	// Calculates the area of a circle with the given radius. 
	public static double area(double radius)
	{
		// pi * r^2
		return Circle.PI * Circle.intPow(radius,2);
	}

	public static void nothing();
}
