public class Circle
{

	private Circle(){}
	/**
		Contains the value of pi to four decimal places.
	*/
	public static final double PI = 3.1416;

	/**
		Calculates the area of a circle with the given radius.
		@param radius Radius of the circle.
		@return Area of the circle.
	*/
	public static double area(double radius)
	{
		return Circle.PI * radius * radius;
	}

	/**
		Calculates the circumference of a circle with the given radius.
		@param radius Radius of the circle.
		@return Circumference of the circle.
	*/
	public static double circum(double radius)
	{
		return Circle.PI * 2 * radius;
	}
}
