import java.lang.*;

public class MutableCircle
{
	/**
		Contains the value of pi to four decimal places.
	*/
	public static final double PI = 3.1416;

	/**
		Calculates the area of a circle with the given radius.
		@param radius Radius of the circle.
		@return Area of the circle.
	*/
	public static double area(double radius)
	{ return 0; }

	/**
		Calculates the circumference of a circle with the given radius.
		@param radius Radius of the circle.
		@return Circumference of the circle.
	*/
	public static double circum(double radius)
	{ return 0; }

	/**
		Creates a circle with center at the given x-y position, with the given radius.
		@param x X coordinate of the circle's center
		@param y Y coordinate of the circle's center
		@param radius Radius of the circle
	*/
	public MutableCircle(double x, double y, double radius)
	{}

	/** 
		Copy constructor: Creates a copy of the given circle.
		@param otherCircle Circle to be copied.
	*/
	public MutableCircle(MutableCircle otherCircle)
	{}

	/**
		Creates a circle at the origin with radius 1.
	*/
	public MutableCircle(){}

	/**
		Returns the X coordinate of the circle's center.
		@return X coordinate of the circle's center.
	*/
	public double getX()
	{ return 0; }

	/**
		Returns the Y coordinate of the circle's center.
		@return Y coordinate of the circle's center.
	*/
	public double getY()
	{ return 0; }

	/**
		Returns the radius of the circle.
		@return Radius of the circle.
	*/
	public double getRadius()
	{ return 0; }

	/**
		Sets a new radius.  If radius >= 0, sets the radius; if 
		radius < 0, leaves the radius unchanged.  Returns the
		ultimate value of the radius.
		@param radius New radius.
		@return Resulting value of the radius.
	*/
	public double setRadius(double radius)
	{ return 0; }

	/**
		Determines whether this circle overlaps with another given circle.
		@param otherCircle Other circle for comparison of overlap.
		@return True if they overlap, false otherwise
	*/
	public boolean overlap(MutableCircle otherCircle)
	{ return false; }

	/**
		Converts the object to a string. For example, for a circle
		with center at x = 1, y = -1, and radius 5, this method 
		returns the following string: 
		"Circle:x=1,y=-1,radius=5".
		@return String representation of the object.
	*/
	public String toString()
	{
		return "";
	}

	/**
		Determines whether this circle is equal to a provided
		object.  Two circles are equal if they have the same 
		center and radius.
		@param obj Object to be compared for equality
		@return True if equal, false otherwise
	*/
	public boolean equals(Object obj)
	{
		return false;
	}

	/**
		Returns the number of circle objects that have been created.
		@return Number of created circles.
	*/
	public static int numCircles()
	{}

}
