import java.lang.*;

public class MutableCircle
{
	/**
		Contains the value of pi to four decimal places.
	*/
	public static final double PI = 3.1416;

	/**
		Calculates the area of a circle with the given radius.
		@param radius Radius of the circle.
		@return Area of the circle.
	*/
	public static double area(double radius)
	{
		return Circle.PI * radius * radius;
	}

	/**
		Calculates the circumference of a circle with the given radius.
		@param radius Radius of the circle.
		@return Circumference of the circle.
	*/
	public static double circum(double radius)
	{
		return Circle.PI * 2 * radius;
	}

	/**
		Creates a circle with center at the given point, with the given radius.
		@param p Point containing the circle's center.
		@param radius Radius of the circle
	*/
	public MutableCircle(MutablePoint p, double radius)
	{}

	/**
		Creates a circle at the origin with radius 1.
	*/
	public MutableCircle(){}

	/**
		Copy constructor.
		@param c MutableCircle to be copied.
	*/
	public MutableCircle(MutableCircle c)
	{}

	/**
		Returns the circle's center.
		@return Circle's center point.
	*/
	public MutablePoint getPoint()
	{ return null; }

	/**
		Returns the radius of the circle.
		@return Radius of the circle.
	*/
	public double getRadius()
	{ return 0; }

	/**
		Converts the object to a string. 
		@return String representation of the object.
	*/
	public String toString()
	{
		return "";
	}

	/**
		Determines whether this circle is equal to a provided
		object.  Two circles are equal if they have the same 
		center and radius.
		@param obj Object to be compared for equality
		@return True if equal, false otherwise
	*/
	public boolean equals(Object obj)
	{
		return false;
	}

	/**
		Returns the number of circle objects that have been created.
		@return Number of created circles.
	*/
	public static int numCircles()
	{ return 0; }

	/**
		Sets the center point. 
		@param p New center point.
	*/
	public double setPoint(MutablePoint p)
	{ return 0; }

}
