import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

// This window has two buttons and a JLabel.
// The buttons are labelled +1 and -1.
// The label contains the value of a counter, initially 0.
// If +1 is clicked, the counter increments.
// If -1 is clicked, the counter decrements.
// The current value of the counter is always displayed.

public class MyJFrame
extends JFrame
implements ActionListener
{
	private static final int XSIZE = 400;
	private static final int YSIZE = 200;
	private static final String BUTTON_1_TEXT = "+1";
	private static final String BUTTON_2_TEXT = "-1";

	private JLabel j;
	private JButton b1;
	private JButton b2;

	private int x = 0;

	public MyJFrame()
	{
		super();
		super.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		super.setSize(MyJFrame.XSIZE,MyJFrame.YSIZE);
		super.setTitle("Hello World!");

		super.setLayout(new FlowLayout());

		// Create the JLabel object
		//this.j = new JLabel("...");
		this.j = new JLabel();
		this.setLabelText();
		super.add(this.j);

		this.b1 = new JButton(MyJFrame.BUTTON_1_TEXT);
		this.b1.addActionListener(this);
		super.add(this.b1);

		this.b2 = new JButton(MyJFrame.BUTTON_2_TEXT);
		this.b2.addActionListener(this);
		super.add(this.b2);

	}

	public void actionPerformed(ActionEvent e)
	{
		// set the text of the JLabel to "Button clicked"
		// this.j.setText("Button clicked");
		//System.out.println(e.getActionCommand());
		// if Button 1 is clicked, display "Button 1 clicked"
		// if Button 2 is clicked, display "Button 2 clicked"

		String s = e.getActionCommand();
		if (s.equals(MyJFrame.BUTTON_1_TEXT))
		{
			this.x++;
		}
		else
		{
			this.x--;
		}
		this.setLabelText();
		
	}

	private void setLabelText()
	{
		this.j.setText("x equals "+x);
	}

}
