public class GradStudent
extends Student
{
	// Creates a graduate student with given name and grade.
	public GradStudent(String name, int grade)
	{
		super(name, grade);
		// calls the constructor in the parent class,
		// i.e., in Student
	}

	public GradStudent()
	{
		this("Jane Doe",0);
		//super();
		//this("Jane Doe",0);
		//super("Jane Doe",0);
	}



	// Returns the student's letter grade. The grade is "A" for 
	// raw grades from 80-100, "B" for 70-79, and "F" for 0-69. 
	public String getLetterGrade()
	{
		int g = super.getGrade(); // getGrade() in Student
		if (g >= 80) return "A";
		if (g >= 70) return "B";
		return "F";
	}
}
