public class UndergradStudent
extends Student
implements UniversityPeople
{
	public UndergradStudent(String name, int grade)
	{
		super(name, grade);
	}

	public UndergradStudent()
	{
		this("Jane Doe", 80);
	}

	public String getLetterGrade()
	{
		int g = super.getGrade();
		if (g >= 80) return "A";
		if (g >= 70) return "B";
		if (g >= 60) return "C";
		if (g >= 50) return "D";
		return "F";
	}

	public String report()
	{
		return "Undergraduate student "+super.getName()
			+" received a grade of "
			+super.getGrade()+".";
	}
}
