public class Singleton
{

	// keep track of the number of objects created
	private static Singleton s = null;

	// Constructor is not part of the API
	// therefore the constructor is private
	private Singleton(){}

	// Returns a reference to the instance of the class. 
	// Only one instance of this class may be created. 
	public static Singleton getInstance()
	{
		if (Singleton.s == null)
		{
			Singleton.s = new Singleton();
		}
		return Singleton.s;
	}

}

