public class SearchSortUtil
{
	private SearchSortUtil(){}

	public static int searchUnsorted(int[] x, int target)
	{
		for (int i = 0; i < x.length; i++)
		{
			if (x[i] == target)
			{
				// terminates the method
				return i;
			}
		}
		// target is not on the list
		return -1;
	}

	public static int searchSortedRecur(int[] x, 
		int target, int start, int end)
	{
		int middle = (start+end)/2;

		// First check the entire stopping case
		if ((x[middle] == target)||((end-start) <= 0))
		{
			if (x[middle] == target)
			{
				return middle;
			}
			else
			{
				return -1;
			}
		}
		else if (x[middle] < target)
		{
			return searchSortedRecur(x, target, middle+1, end);
		}
		else if (x[middle] > target)
		{
			return searchSortedRecur(x, target, start, middle-1);
		}


		return -2;		

	}

}
