public class Node<E>
{
	// generic type E will be the type
	// of internal data stored
	private E data;
	private Node<E> next;

	public Node(E data, Node<E> next)
	{
		this.data = data;
		this.next = next;
	}

	public E getData()
	{
		return this.data;
	}

	public Node<E> getNext()
	{
		return this.next;
	}

	public void setNext(Node<E> next)
	{
		this.next = next;
	}
}
